ClearOS Bug Tracker


View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0018761ClearOSapp-network - Network Settingspublic2018-01-19 06:242018-10-25 10:19
Reporterpbaldwin 
Assigned Topbaldwin 
PrioritynormalSeveritytweakReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version7.4.0 
Target Version7.5.0 UpdatesFixed in Version7.5.0 Updates 
Summary0018761: Review resolver behavior in barebones environment
DescriptionLocal DNS resolution on a ClearOS system is good practice, and in the case of Samba Directory. a requirement. The ClearOS Resolver API manages the resolver files as follows:

1) If Samba Directory is installed:
  - /etc/resolv.conf points to Samba Directory DNS
  - /etc/resolv-peerdns.conf contains the upstream DNS servers (via DHCP or PPPoE)
  - /etc/samba/smb.conf points to upstream DNS servers

2) If the DNS app (Dnsmasq) is installed and running
   - /etc/resolv.conf points to 127.0.0.1 (Dnsmasq)
   - /etc/resolv-peerdns.conf contains the upstream DNS servers (via DHCP or PPPoE)

3) Otherwise, make sure /etc/resolv.conf is in good shape

This last scenario is rare on a ClearOS install (DNS/dnsmasq is running by default), but will be more common in a ClearVM environment. Sanity check.

TagsNo tags attached.
Attached Files

- Relationships

-  Notes
There are no notes attached to this issue.

- Issue History
Date Modified Username Field Change
2018-01-19 06:24 pbaldwin New Issue
2018-02-21 09:26 pbaldwin Status new => acknowledged
2018-04-11 10:28 pbaldwin Target Version 7.4.0 Updates => 7.5.0
2018-05-15 10:17 pbaldwin Target Version 7.5.0 => 7.5.0 Updates
2018-10-25 09:44 pbaldwin Status acknowledged => resolved
2018-10-25 09:44 pbaldwin Fixed in Version => 7.5.0 Updates
2018-10-25 09:44 pbaldwin Resolution open => fixed
2018-10-25 09:44 pbaldwin Assigned To => pbaldwin
2018-10-25 10:19 pbaldwin Status resolved => closed